LibreOffice: XConnectionPointContainer Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XConnectionPointContainer Interface Referencepublished

makes it possible to locate a specific connection point for a specified UIK and manages a sequence of connections points. More...

`import "XConnectionPointContainer.idl";`

Inheritance diagram for XConnectionPointContainer:

## Public Member Functions
sequence< type > | getConnectionPointTypes ()
XConnectionPoint | queryConnectionPoint ([in] type aType)
void | advise ([in] type aType, [in] com::sun::star::uno::XInterface xListener)
| creates a connection between this object and a client's sink, where the sink implements the outgoing interface specified with ID.
void | unadvise ([in] type aType, [in] com::sun::star::uno::XInterface xListener)
| terminates a notification previously set up with advise at the container or at the suitable connection point.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to locate a specific connection point for a specified UIK and manages a sequence of connections points.

An implementation of this interface must support the com::sun::star::uno::XWeak interface. Look at the language binding for a superclass or something else.

See also
  XConnectionPoint
  com::sun::star::uno::XWeak

## Member Function Documentation

## ◆ advise()

void advise | ( | [in] type | aType,
|  | [in] com::sun::star::uno::XInterface | xListener )

creates a connection between this object and a client's sink, where the sink implements the outgoing interface specified with ID.

The interface is advised under the connection point you get with `queryConnectionPoint( id )`.

Use this method instead of the advise method at the connection point, only if you know that the broadcaster supports the outgoing interface, or if it does not matter that the outgoing interface is not supported.

See also
  XConnectionPoint::advise

## ◆ getConnectionPointTypes()

sequence< type > getConnectionPointTypes | ( |  | ) |

Returns
  a sequence of all outgoing types; specifies which are supported by this connectable object.

## ◆ queryConnectionPoint()

XConnectionPoint queryConnectionPoint | ( | [in] type | aType | ) |

Returns
  an XConnectionPoint interface of a connection point for a specified type if that type describes a supported outgoing interface. It is NULL on failure of the call.

Parameters

  aType | specifies the connection point's type.

## ◆ unadvise()

void unadvise | ( | [in] type | aType,
|  | [in] com::sun::star::uno::XInterface | xListener )

terminates a notification previously set up with advise at the container or at the suitable connection point.

See also
  XConnectionPoint::unadvise

The documentation for this interface was generated from the following file:

- com/sun/star/lang/XConnectionPointContainer.idl